extends RigidBody3D

func _ready() -> void:
	linear_velocity = Vector3(
		randf_range(-1.5, 1.5),
		randf_range(4, 6),
		randf_range(-1.5, 1.5)
	)

func _process(delta: float) -> void:
	$Label.modulate.a -= delta * 0.8
	$Label.outline_modulate.a -= delta * 0.8
	
	if $Label.modulate.a <= 0:
		queue_free()
